Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Interface LibrarySessionInterface

All Superinterfaces:
  Traceable

All Known Implementing Classes:
  LibrarySession, S_LibrarySession

public interface LibrarySessionInterface
extends Traceable

The `LibrarySessionInterface` interface. The beans-side and server-side LibrarySession classes implement this interface. This is used to make certain classes in the common packge useable by both the beans and server packages.

Method Summary
`Collection` | `getClassAccessControlListCollection()` Gets a reference to the ClassAccessControlList collection.
`Collection` | `getClassDomainCollection()` Gets a reference to the ClassDomain collection.
`Collection` | `getClassObjectCollection()` Gets a reference to the ClassObject collection.
`Collection` | `getDirectoryUserCollection()` Gets a reference to the DirectoryUser collection.
`Collection` | `getExtendedPermissionCollection()` Gets a reference to the ExtendedPermission collection.
`Collection` | `getExtendedUserProfileCollection()` Gets a reference to the ExtendedUserProfile collection.
`Collection` | `getFormatCollection()` Gets a reference to the Format collection.
`Collection` | `getFormatExtensionCollection()` Gets a reference to the FormatExtension collection.
`Localizer` | `getLocalizer()` Gets the localizer of this session.
`Collection` | `getMediaCollection()` Gets a reference to the Media collection.
`Collection` | `getPermissionBundleCollection()` Gets a reference to the PermissionBundle collection.
`Collection` | `getPolicyCollection()` Gets a reference to the Policy collection.
`Collection` | `getSharedAccessControlListCollection()` Gets a reference to the SharedAccessControlList collection.
`Collection` | `getSystemAccessControlListCollection()` Gets a reference to the SystemAccessControlList collection.
`Collection` | `getValueDefaultCollection()` Gets a reference to the ValueDefault collection.
`Collection` | `getValueDomainCollection()` Gets a reference to the ValueDomain collection.

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### getLocalizer

    public Localizer getLocalizer()
                           throws IfsException

  Gets the localizer of this session.
  Returns:
    the localizer
  Throws:
    `IfsException` - if the operation fails

### getClassObjectCollection

    public Collection getClassObjectCollection()
                                        throws IfsException

  Gets a reference to the ClassObject collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getClassDomainCollection

    public Collection getClassDomainCollection()
                                        throws IfsException

  Gets a reference to the ClassDomain collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getValueDefaultCollection

    public Collection getValueDefaultCollection()
                                         throws IfsException

  Gets a reference to the ValueDefault collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getValueDomainCollection

    public Collection getValueDomainCollection()
                                        throws IfsException

  Gets a reference to the ValueDomain collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getExtendedUserProfileCollection

    public Collection getExtendedUserProfileCollection()
                                                throws IfsException

  Gets a reference to the ExtendedUserProfile collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getFormatCollection

    public Collection getFormatCollection()
                                   throws IfsException

  Gets a reference to the Format collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getFormatExtensionCollection

    public Collection getFormatExtensionCollection()
                                            throws IfsException

  Gets a reference to the FormatExtension collection.

  Unlike the FormatCollection, this collection is organizaed by EXTENSION, not NAME.

  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getMediaCollection

    public Collection getMediaCollection()
                                  throws IfsException

  Gets a reference to the Media collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getSharedAccessControlListCollection

    public Collection getSharedAccessControlListCollection()
                                                    throws IfsException

  Gets a reference to the SharedAccessControlList collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getSystemAccessControlListCollection

    public Collection getSystemAccessControlListCollection()
                                                    throws IfsException

  Gets a reference to the SystemAccessControlList collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getClassAccessControlListCollection

    public Collection getClassAccessControlListCollection()
                                                   throws IfsException

  Gets a reference to the ClassAccessControlList collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getDirectoryUserCollection

    public Collection getDirectoryUserCollection()
                                          throws IfsException

  Gets a reference to the DirectoryUser collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getExtendedPermissionCollection

    public Collection getExtendedPermissionCollection()
                                               throws IfsException

  Gets a reference to the ExtendedPermission collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getPermissionBundleCollection

    public Collection getPermissionBundleCollection()
                                             throws IfsException

  Gets a reference to the PermissionBundle collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

### getPolicyCollection

    public Collection getPolicyCollection()
                                   throws IfsException

  Gets a reference to the Policy collection.
  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD